> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> health check

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/health'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/health")
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/health"
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	resp, _ := http.Get("https://api.sprinter.tech/health")
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": "ok"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /health
openapi: 3.1.0
info:
  title: Swap by Blanc
  description: API used by Blanc Swap
  version: 1.0.0-beta
servers:
  - url: https://swaps.sprinter.tech/mainnet
    description: Mainnet Swap API
  - url: https://swaps.sprinter.tech/base
    description: Base Swap API
security:
  - BasicAuth: []
paths:
  /health:
    get:
      description: Health check endpoint (admin only)
      operationId: getHealth
      responses:
        '200':
          description: Service is healthy
          headers:
            Request-ID:
              $ref: '#/components/headers/RequestID'
          content:
            text/plain:
              schema:
                type: string
                example: ✅
        '401':
          description: Unauthorized access - only accessible by admin user
          headers:
            Request-ID:
              $ref: '#/components/headers/RequestID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  headers:
    RequestID:
      description: >-
        Unique request identifier (16 bytes) encoded as hexadecimal with 0x
        prefix
      schema:
        $ref: '#/components/schemas/RequestID'
  schemas:
    Error:
      description: Error response with details
      type: object
      required:
        - code
        - requestId
        - error
      properties:
        code:
          description: Error code indicating the type of error
          type: integer
        requestId:
          $ref: '#/components/schemas/RequestID'
        error:
          description: Error message
          type: string
    RequestID:
      description: >-
        Unique request identifier (16 bytes) encoded as hexadecimal with 0x
        prefix
      type: string
      format: hex
      pattern: ^0x[a-fA-F0-9]{32}$
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````